Don't forget that you have had a dream

    

CentOS7升级任意版本php到php7.2

CentOS7下安装PHP默认是5.4的,但是有些框架要求PHP的版本得在5.4以上,现在的框架大多要求php7以上的,比如typo3.8.x,必须7.0+;typo3.9.x,必须php7.2+。这时候我们就需要把PHP升级一下了。

yum provides php  

https://file.whongbin.com/blog/img20190430115041.png

开始升级PHP

rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm #更新源
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
yum remove php-common -y  #移除系统自带的php-common
yum install -y php72w php72w-opcache php72w-xml php72w-mcrypt php72w-gd php72w-devel php72w-mysql php72w-intl php72w-mbstring  #安装依赖包

查看版本

php -v 

https://file.whongbin.com/blog/img20190430151124.png

访问phpinfo

https://file.whongbin.com/blog/img20190430105915.png

您可以自由的转载和修改,但请务必注明文章来源并且不可用于商业目的。
本站部分内容收集于互联网,如果有侵权内容、不妥之处,请联系我们删除。敬请谅解!
所有原创文章采用 知识共享署名-非商业性使用 4.0 国际许可协议 知识共享许可协议 进行许可。

评论已关闭

  更新日志

博客banner下方滚动文字替换为使用 一言API 随机获取 --- updated on 2019-05-22 09:04:31 星期三

  关于博主

三里林,一个致力于分享,分享心得,分享技术,分享知识点的个人博客

  近期评论

  分类目录

失去人性,失去很多;失去兽性,失去一切。

钱塘风雨起苍黄,贺鸡儿楠过大江

变化是唯一可称为客观的,普遍的事实。

无论在多不幸的状况下,只要相信自己是幸福的,就能得到幸福。

我希望你可以找到真正的自己,不是明年,不是明日,而是现在。

我们在年少时并不知道,有些乐章一旦开始,唱的就是曲终人散。

黑,真他妈黑啊

如果你不能给她穿上嫁衣,请停下脱她衣服的手